#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>

int main (int ac, char ** av) {
	int inL, inR, out;

	if (ac > 3) {
		inL = open(av[1], O_RDONLY);
		inR = open(av[2], O_RDONLY);
		out = open(av[3], O_WRONLY | O_CREAT | O_TRUNC, 0666);
	} else {
		fprintf(stderr, "3 parameters needed\n");
		return 1;
	}

	while(1) {
		int16_t audio[2], audioMid;
		if (read(inL, audio, sizeof(int16_t)) <= 0) {
			break;
		}
		if (read(inR, audio + 1, sizeof(int16_t) <= 0)) {
			break;
		}
		audioMid = (audio[0] + audio[1]); // Why?
		write(out, &audioMid, sizeof(int16_t));
	}
	close(inL);
	close(inR);
	close(out);
	return 0;
}
